=== debian/changelog ===
mypaint (1.0.0-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: add lintian recommended targets.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 25 Nov 2011 10:38:25 +0100
