=== debian/control ===
Source: mypaint
Section: graphics
Priority: optional
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 8), scons, python-gtk2-dev, python-numpy, swig, python-support
Standards-Version: 3.9.2
Homepage: http://mypaint.intilinux.com/

Package: mypaint
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data (>= ${source:Version}), python-numpy, python-gtk2
Description: Paint program to be used with Wacom tablets
 This is a pressure sensitive Wacom tablet paint program. It comes with a large
 brush collection including charcoal and ink to emulate real media, but the
 highly configurable brush engine allows you to experiment with your own
 brushes and with not-quite-natural painting.

Package: mypaint-data
Architecture: all
Depends: ${misc:Depends}
Description: Brushes and backgrounds for the mypaint program
 This is a pressure sensitive Wacom tablet paint program. It comes with a large
 brush collection including charcoal and ink to emulate real media, but the
 highly configurable brush engine allows you to experiment with your own
 brushes and with not-quite-natural painting.
 .
 This package contains the data files needed for the program.
