=== debian/changelog ===
mypaint (1.1.0-3) unstable; urgency=low

  * Remove redundant patch: we don't run the memory-intensive test any more.
  * (Fixes unpack failure FTBFS with patch 2.7.1 (closes: Bug#706508))

 -- Andrew Chadwick <a.t.chadwick@gmail.com>  Wed, 01 May 2013 12:48:43 +0100

mypaint (1.1.0-2) unstable; urgency=low

  * Fix FTBFS with DEB_BUILD_OPTIONS=noopt (closes: Bug#704935)
  * Fix hardening flags not being honoured (closes: Bug#704927) 

 -- Andrew Chadwick <a.t.chadwick@gmail.com>  Sun, 21 Apr 2013 20:37:02 +0100

mypaint (1.1.0-1) unstable; urgency=low

  * New upstream version.
  * New upstream has an updated ru_RU.UTF-8 translation (closes: Bug#685254).
  * Standards bump and check 3.9.2 -> 3.9.4.
  * debian/rules: fix lintian script-not-executable for label-brush-mypaint.sh
  * debian/{rules,control}: split out hi-res data (closes: Bug#660881).
  * debian/copyright: update to cover new upstream licenses; machine-readable.
  * Mark myself as Uploader and PAPT as Maintainer (closes: Bug#691827).
  * Recommend shared-mime-info (closes: Bug#545396).
  * Migrated from deprecated dh_pysupport to dh_python2.
  * debian/control: update homepage link
  * debian/control: provide Vcs-* info
  * debian/rules: use dh_install, and use it to check for overlooked files
  * Move message catalogs to mypaint-data.
  * Backport license update to the all-colours palette (lintian, spelling(!)).
  * Backport removal of deprecated Encoding key from upstream (lintian).
  * Build with hardening flags.
  * Patch in upstream test suite fixes, and run tests during build.
  * (Only the one which will run with <= 512M RAM, e.g. some ARM buildbots.)
  * (19 Jan) Move development to Debian VCS (requirement of python apps team).
  * Add python-matplotlib and python-tk in build-depends (test suite reqs);
  * Lowercase first letter of each short package description (best practice).
  * Newlines for Build-Depends and Depends (sponsor preference).

 -- Andrew Chadwick <a.t.chadwick@gmail.com>  Wed, 20 Mar 2013 13:08:23 +0000
