=== debian/watch ===
version=3
http://download.gna.org/mypaint/ mypaint-([\d\.]+)\.tar\.bz2
