=== debian/changelog ===
mypaint (1.2.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/Remove-references-to-BOGOSITY-cursor.patch,
    d/p/Fix-cherry-pick-stable-branch-has-pygtk-syntax.patch,
    d/p/hcywheel-Avoid-deprecated-gdk.Cursor-constructor.patch:
    Fix startup on Wayland systems (Closes: #859064)

 -- Simon McVittie <smcv@debian.org>  Sun, 02 Apr 2017 18:26:32 +0100

mypaint (1.2.0-4) unstable; urgency=medium

  * Add debian/patches/fix-gtk-3.22.4-canvas-disappearance.patch to fix
    fullscreen mode. (Closes: #848356)

 -- Andrew Chadwick <a.t.chadwick@gmail.com>  Thu, 02 Feb 2017 14:39:42 +0000

mypaint (1.2.0-3) unstable; urgency=medium

  * Update d/rules to use dh sequencer. Fixes arch-indep FTBFS.
    (Closes: #845111)
  * Update to dh compat level 9.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 22 Nov 2016 00:02:02 -0800

mypaint (1.2.0-2) unstable; urgency=medium

  * Acknowledge NMU. Thanks Tobias!
  * Add debian/patches/fix-glib-2.48-startup-crash.patch to fix startup crash.
    (Closes: #822784)
  * Add myself to Uploaders.
  * Update Standards version to 3.9.8.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 02 May 2016 22:43:44 -0700

mypaint (1.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libpng transition: Change B-D from libpng12-dev to libpng-dev.
    (Closes: #819440)

 -- Tobias Frost <tobi@debian.org>  Mon, 28 Mar 2016 16:41:19 +0200

mypaint (1.2.0-1) unstable; urgency=low

  * Team upload.

  [ Andrew Chadwick ]
  * New release. (Closes: #812865)
  * Update copyright.
  * Install docs.
  * Update watchfile, and add my signing signature.
  * Changelog has changed filename.
  * Add dh-python to build-deps.
  * Standards bump 3.9.4 -> 3.9.6.
  * Patches are in upstream now, drop patches/.
  * Add Nautilus thumbnailer to install.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Vincent Cheng ]
  * Import Andrew Chadwick's changes from https://github.com/mypaint/debian
  * Update build-depends from libjson0-dev to libjson-c-dev. (Closes: #745007)
  * Remove debian/menu file as per tech-ctte decision in #741573.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 01 Feb 2016 19:00:26 -0800
