=== debian/control ===
--- 
+++ 
@@ -2,20 +2,42 @@
 Section: graphics
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: Andrew Chadwick <a.t.chadwick@gmail.com>
-Build-Depends: debhelper (>= 8), scons, python-gtk2-dev, python-numpy, swig,
- python (>= 2.6), liblcms2-dev, libjson0-dev, dpkg-dev (>= 1.16.1~),
- python-matplotlib, python-tk
-Standards-Version: 3.9.4
-X-Python-Version: >= 2.6
+Uploaders:
+ Andrew Chadwick <a.t.chadwick@gmail.com>,
+ Vincent Cheng <vcheng@debian.org>
+Build-Depends:
+ debhelper (>= 9),
+ dh-python,
+ dpkg-dev (>= 1.16.1~),
+ gettext,
+ libgtk-3-dev (>= 3.10),
+ libjson-c-dev,
+ liblcms2-dev,
+ libpng-dev,
+ python (>= 2.7),
+ python-dev,
+ python-gi-dev,
+ python-matplotlib,
+ python-tk,
+ scons,
+ swig
+Standards-Version: 3.9.8
+X-Python-Version: >= 2.7
+X-Python3-Version: << 3.0
 Homepage: http://mypaint.info/
-Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/mypaint/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/mypaint/
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mypaint/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/mypaint/
 
 Package: mypaint
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- mypaint-data (>= ${source:Version}), python-numpy, python-gtk2
+Depends:
+ gir1.2-gtk-3.0 (>= 3.10),
+ mypaint-data (>= ${source:Version}),
+ python-gi-cairo,
+ python-numpy,
+ ${misc:Depends},
+ ${python:Depends},
+ ${shlibs:Depends}
 Suggests: mypaint-data-extras
 Recommends: shared-mime-info
 Description: paint program for use with graphics tablets
@@ -45,7 +67,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Breaks: mypaint-data (<< 1.1.0)
-Replaces: mypaint-data-hires, mypaint-data (<< 1.1.0)
+Replaces: mypaint-data (<< 1.1.0), mypaint-data-hires
 Conflicts: mypaint-data-hires
 Enhances: mypaint
 Description: high resolution backgrounds for mypaint
