## mypaint 2.0.0

=== debian/changelog ===
mypaint (2.0.0-2) unstable; urgency=medium

  * Team upload. 
  * Finish Python3.8 transition. (Closes: #954142)
  * debian/rules: Honour "nocheck" profile for dh_auto_test.
    (Closes: #954091)

  [ Rik Mills ]
  * debian/control: Add dependency on python3-distutils. Fixes crash
    on application start. (LP: #1870353)

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Apr 2020 19:09:23 -0400

mypaint (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. 

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Mar 2020 14:53:35 -0400

mypaint (2.0.0-1~exp3) experimental; urgency=medium

  * Team upload.
  * debian/rules: Ignore several files during nosetest as suggested
    by upstream.

 -- Boyuan Yang <byang@debian.org>  Tue, 25 Feb 2020 13:44:00 -0500

mypaint (2.0.0-1~exp2) experimental; urgency=medium

  * Team upload.
  * debian/rules:
    + Set XDG_CACHE_HOME to fix some test errors.
    + Fix dh_clean invocation (lintian warning).
  * debian/patches: Add patch to fix grammar errors in translations.
  * debian/copyright: Properly document CC0-1.0-licensed files.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Feb 2020 15:31:27 -0500

mypaint (2.0.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release 2.0.0. (Closes: #853938)
    + Migrate away from scons. (Closes: #947570)
    + Migrate away from python2. (Closes: #937099)
    + The conflict between libmypaint-common and mypaint-data is
      solved by upstream. (Closes: #897909, #932868)
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.5.0.
    + Migrate to python3. (Closes: #947251)
    + Update homepage information. (Closes: #928075)
    + Add (build-)dependency on new libmypaint.
  * debian/patches: Dropped, all merged upstream.
  * debian/upstream/metadata: Add upstream information: Repository,
    Repository-Browse.
  * debian/rules: Rewrite to fit upstream's use of setup.py.

  [ Sandro Tosi ]
  * debian/watch
    - recognize beta versions too

 -- Boyuan Yang <byang@debian.org>  Fri, 21 Feb 2020 16:36:17 -0500

mypaint (1.2.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Gianfranco Costamagna ]
  * debian/patches/49f0a9fdf06010f4ca03ce233468206481480830.patch:
    - cherry-pick and adapt upstream Python3 build failure fix
      (note, this is not really needed yet, but we need a no-change rebuild
       against fixed scons 3.1.1-2)
  * Team Upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2019 14:57:41 +0200
