=== debian/control ===
--- 
+++ 
@@ -6,40 +6,45 @@
  Andrew Chadwick <a.t.chadwick@gmail.com>,
  Vincent Cheng <vcheng@debian.org>
 Build-Depends:
- debhelper (>= 9),
- dh-python,
- dpkg-dev (>= 1.16.1~),
+ debhelper-compat (= 12),
+ dh-sequence-python3,
  gettext,
  libgtk-3-dev (>= 3.10),
  libjson-c-dev,
  liblcms2-dev,
  libpng-dev,
- python (>= 2.7),
- python-dev,
+ libmypaint-dev (>= 1.5~),
+ python3-dev:any,
  python-gi-dev,
- python-matplotlib,
- python-tk,
- scons,
- swig
-Standards-Version: 3.9.8
-X-Python-Version: >= 2.7
-X-Python3-Version: << 3.0
-Homepage: http://mypaint.info/
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mypaint/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/mypaint/
+ python3-gi, 
+ python3-gi-cairo,
+ python3-matplotlib,
+ python3-numpy,
+ python3-setuptools,
+ python3-nose <!nocheck>,
+ mypaint-brushes (>= 1.5~) <!nocheck>,
+ swig,
+Standards-Version: 4.5.0
+Homepage: http://mypaint.org/
+Vcs-Git: https://salsa.debian.org/python-team/applications/mypaint.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/mypaint
 
 Package: mypaint
 Architecture: any
 Depends:
  gir1.2-gtk-3.0 (>= 3.10),
  mypaint-data (>= ${source:Version}),
- python-gi-cairo,
- python-numpy,
+ mypaint-brushes (>= 1.5~),
+ python3-distutils,
+ python3-gi,
+ python3-gi-cairo,
+ python3-numpy,
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
  ${shlibs:Depends}
-Suggests: mypaint-data-extras
-Recommends: shared-mime-info
+Recommends:
+ mypaint-data-extras,
+ shared-mime-info,
 Description: paint program for use with graphics tablets
  MyPaint is a pressure- and tilt-sensitive painting program which works well
  with Wacom graphics tablets and other similar devices. It comes with a large
