## mypaint 2.0.0+git20200502

=== debian/changelog ===
mypaint (2.0.0+git20200502-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot (2020-05-02).
  * Rebuild with libmypaint 1.6.0.
  * debian/control:
    + Mark package mypaint-data and mypaint-data-extra
      as Multi-Arch: foreign.
    + Add missing build and runtime dependency on librsvg.
      (Closes: #959620)
  * debian/patches: Refresh patch and drop all python2-compat
    imports. This also helps to fix #959620.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 May 2020 18:22:59 -0400
