=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  liblcms2-dev,
  libpng-dev,
  libmypaint-dev (>= 1.5~),
+ librsvg2-dev <!nocheck>,
  python3-dev:any,
  python-gi-dev,
  python3-gi, 
@@ -39,6 +40,7 @@
  python3-gi,
  python3-gi-cairo,
  python3-numpy,
+ librsvg2-bin,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends}
@@ -56,6 +58,7 @@
 
 Package: mypaint-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Breaks: mypaint (<< 1.1.0)
 Replaces: mypaint (<< 1.1.0)
@@ -70,6 +73,7 @@
 
 Package: mypaint-data-extras
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Breaks: mypaint-data (<< 1.1.0)
 Replaces: mypaint-data (<< 1.1.0), mypaint-data-hires
